Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.hibernate.criterion
Class ResultTransformerUtil<T>

    java.lang.Object
      com.gisgraphy.hibernate.criterion.ResultTransformerUtil<T>

    public class ResultTransformerUtil<T>

extends Object

The Class ResultTransformerUtil.

Author:
  Abhishek Mirge

Field Summary
`protected static GisFeatureDistanceFactory` | `gisFeatureDistanceFactory`

Constructor Summary
`ResultTransformerUtil()`

Method Summary
`static List<com.gisgraphy.domain.valueobject.GisFeatureDistance>` | `transformToGisFeatureDistance(String[] aliasList, List<?> resultList, Map<Long,List<String>> featureIdToZipCodesMap)` Transform to bean.
`static List<com.gisgraphy.domain.valueobject.StreetDistance>` | `transformToStreetDistance(String[] aliasList, List<?> resultList)` Transform to bean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gisFeatureDistanceFactory

    protected static GisFeatureDistanceFactory gisFeatureDistanceFactory

Constructor Detail

### ResultTransformerUtil

    public ResultTransformerUtil()

Method Detail

### transformToGisFeatureDistance

    public static List<com.gisgraphy.domain.valueobject.GisFeatureDistance> transformToGisFeatureDistance(String[] aliasList,
                                                                                                          List<?> resultList,
                                                                                                          Map<Long,List<String>> featureIdToZipCodesMap)

  Transform to bean. See bug http://opensource.atlassian.com/projects/hibernate/browse/HHH-2463

  Parameters:
    `aliasList` - the alias list
    `resultList` - the result list
  Returns:
    the list of GisFeatureDistance

### transformToStreetDistance

    public static List<com.gisgraphy.domain.valueobject.StreetDistance> transformToStreetDistance(String[] aliasList,
                                                                                                  List<?> resultList)

  Transform to bean. See bug http://opensource.atlassian.com/projects/hibernate/browse/HHH-2463

  Parameters:
    `aliasList` - the alias list
    `resultList` - the result list
  Returns:
    the list of `StreetDistance`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.